Lavalite package that provides pakc management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `mypro/pakc`.

    "mypro/pakc": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Mypro\Pakc\Providers\PakcServiceProvider::class,

And also add it to alias

    'Pakc'  => Mypro\Pakc\Facades\Pakc::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Mypro\\Pakc\\Seeders\\PakcTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Mypro\Pakc\Providers\PakcServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/pakc/{modulename}

**User**

    http://path-to-route-folder/user/pakc/{modulename}

**Public**

    http://path-to-route-folder/pakcs


### API endpoints

**List**

    http://path-to-route-folder/api/user/pakc/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/pakc/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/pakc/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/pakc/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/pakc/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/pakc/{modulename}/{slug}
    METHOD: GET